Package javax.help.search

# Class ConfigFile

java.lang.Object
javax.help.search.ConfigFile

public class ConfigFile extends Object
Describes and parses the configuration file for the full-text search indexer.

See Also:
  - invalid reference

        Indexer

## Constructor Summary

Constructors
Constructor
Description
`ConfigFile(String configFile, Vector files, boolean noStopWords)`
Creates a configuration file.

## Method Summary

Modifier and Type
Method
Description
`Vector`
`getFiles()`
Gets the list of files from a config file.
`Enumeration`
`getStopWords()`
Returns the list of stopwords from a config file.
`String`
`getURLString(String file)`
Returns the URL filename of a file in String format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigFile

public ConfigFile(String configFile, Vector files, boolean noStopWords)
Creates a configuration file.

## Method Details

### getURLString

public String getURLString(String file)
Returns the URL filename of a file in String format.

### getStopWords

public Enumeration getStopWords()
Returns the list of stopwords from a config file.

### getFiles

public Vector getFiles()
Gets the list of files from a config file.